#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QString>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkRequest>
#include <QtNetwork/QNetworkReply>
#include <QTimer>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_pause_clicked();
    void on_pushButton_play_clicked();
    void on_pushButton_fade_clicked();
    void holen_status();

private:
    Ui::MainWindow *ui;

    bool sende_befehl();

    QTimer *timer;
    QNetworkAccessManager *manager;

    QString ip="192.168.100.7";
    QString port="80";
    QString url="http://" + ip + ":" + port + "/";
    QString ausgabe;
    QString status_loop;
    QString status;
    QString status_player1;
    QString status_player2;
    QString status_auto;
    QString befehl;
    QString befehl_getauto="getauto";
    QString befehl_setauto="setauto1";
    QString befehl_playstate1="getplaystate1";
    QString befehl_playstate2="getplaystate2";
    QString befehl_pause1="pause1";
    QString befehl_pause2="pause2";
    QString befehl_play1="play1";
    QString befehl_play2="play2";
    QString befehl_fade="fadenow";
    QString befehl_file="list_getfile";
};
#endif // MAINWINDOW_H
